%global skip_tests 1

Name:		ovirt-engine-api-metamodel
Version:	1.3.11
Release:	0.335.202410150951%{?dist}
Summary:	Model management tools for the oVirt Engine API.
Group:		%{ovirt_product_group}
License:	ASL 2.0
URL:		http://www.ovirt.org
Source0:	%{name}-%{version}.tar.gz

BuildArch:	noarch

# We need to disable automatic generation of "Requires: java-headless >= 1:11"
# by xmvn, becase JDK 11 doesn't provide java-headless artifact, but it
# provides java-11-headless.
AutoReq:	no

BuildRequires:	java-11-openjdk-devel
BuildRequires:	maven-local >= 4.0.0
BuildRequires:	mvn(commons-io:commons-io)
BuildRequires:	mvn(jakarta.activation:jakarta.activation-api)
BuildRequires:	mvn(javax.json:javax.json-api)
BuildRequires:	mvn(javax.servlet:javax.servlet-api)
BuildRequires:	mvn(javax.xml.bind:jaxb-api)
BuildRequires:	mvn(junit:junit)
BuildRequires:	mvn(org.antlr:antlr4-runtime)
BuildRequires:	mvn(org.antlr:antlr4-maven-plugin)
BuildRequires:	mvn(org.apache.maven.plugins:maven-compiler-plugin)
BuildRequires:	mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:	mvn(org.apache.maven.plugins:maven-surefire-plugin)
BuildRequires:	mvn(org.codehaus.mojo:build-helper-maven-plugin)
BuildRequires:	mvn(org.codehaus.mojo:exec-maven-plugin)
BuildRequires:	mvn(org.glassfish:javax.json)
BuildRequires:	mvn(org.jboss.resteasy:jaxrs-api)
BuildRequires:	mvn(org.jboss.weld.se:weld-se)
BuildRequires:	mvn(org.ovirt.maven.plugins:ovirt-jboss-modules-maven-plugin)
BuildRequires:	mvn(org.slf4j:slf4j-jdk14)

# Required because of old xmvn package on COPR
BuildRequires:	maven


Requires:	ovirt-engine-api-metamodel-server
Requires:	java-11-openjdk-headless >= 1:11.0.0
Requires:	javapackages-filesystem
Requires:	mvn(com.thoughtworks.qdox:qdox)
Requires:	mvn(commons-cli:commons-cli)
Requires:	mvn(commons-io:commons-io)
Requires:	mvn(javax.json:javax.json-api)
Requires:	mvn(javax.xml.bind:jaxb-api)
Requires:	mvn(org.antlr:antlr4-runtime)
Requires:	mvn(org.glassfish:javax.json)
Requires:	mvn(org.jboss.spec.javax.ws.rs:jboss-jaxrs-api_2.0_spec)
Requires:	mvn(org.jboss.weld.se:weld-se)
Requires:	mvn(org.slf4j:slf4j-jdk14)


%description
%{name} provides runtime to manage oVirt Engine API Model


%package server
Summary:	Server runtime of model management
Group:		%{ovirt_product_group}

# We need to disable automatic generation of "Requires: java-headless >= 1:11"
# by xmvn, becase JDK 11 doesn't provide java-headless artifact, but it
# provides java-11-headless.
AutoReq:	no

Requires:	java-11-openjdk-headless >= 1:11.0.0
Requires:	javapackages-filesystem
Requires:	mvn(jakarta.activation:jakarta.activation-api)
Requires:	mvn(javax.servlet:javax.servlet-api)
Requires:	mvn(org.slf4j:slf4j-api)

%description server
%{name}-server provides server side runtime used within oVirt Engine


%prep
%setup -c -q

# On EL8 maven-javadoc-plugin has been merged into xmvn, so we need to remove
# reference to it from pom.xml
%if 0%{?rhel} >= 8
%pom_remove_plugin :maven-javadoc-plugin pom.xml
%endif

# maven-release-plugin is not used during package build, so we can remove it
# from pom.xml
%pom_remove_plugin :maven-release-plugin pom.xml

# server needs to be in a standalone package, as it needs to be distributed along with oVirt engine
%mvn_package ":metamodel-server" ovirt-engine-api-metamodel-server

# no need to package tests
%mvn_package ":metamodel-tests" __noinstall

# documentation generatio cannot be built withing RPM to remove dependency
# on asciidoctorj
%pom_disable_module doctool

%if %{?skip_tests}
# We need to skip test execution on COPR due to some weld classloading issues
%pom_disable_module tests
%endif

%build
# Necessary to override the default JVM for xmvn in COPR, which is JDK 8
export JAVA_HOME="/usr/lib/jvm/java-11-openjdk"

%mvn_build -j


%install
%mvn_install


%files -f .mfiles
%license ASL2


%files server -f .mfiles-ovirt-engine-api-metamodel-server


%changelog

* Thu Sep 29 2022 Ori Liel <oliel@redhat.com> 1.3.10-1
- fix generated document hierarchy

* Tue Aug 2 2022 Ori Liel <oliel@redhat.com> 1.3.9-1
- Change SCM connection details to github
- Change asciidoc link-generation (#28)
- Add RPM packaging
- Enable EL9 builds
- introduce COPR build
- Disable doctool in RPM build
- Create DocTool to generate documentation
- Switch back to weld 2.3
- Use tests module name from pom.xml and not artifactdId
- Require maven-local >= 4.0.0
- Enable debug logging for xmvn_build
- Bump: junit 4.13.1, ovirt-jboss-modules-maven-plugin 2.0.3, antlr 4.9.3, asciidoctor 1.6.2
- Fix maven cache directory
- Use oVirt buildcontainer
- Switch from log4j backend to java.util.logging backend
- Finish moving to github (#6)
- Add build using github actions

* Mon Feb 14 2022 Martin Perina <mperina@redhat.com> 1.3.8-1
- Initial RPM release

